# RakNet::Chat_Func Struct Reference
[RoomsCommands]

Send a chat message. More...

`#include <RoomsPlugin.h>`

Inheritance diagram for RakNet::Chat_Func:

List of all members.

## Public Attributes
bool | chatDirectedToRoom

## Detailed Description

Send a chat message.

## Member Data Documentation

bool RakNet::Chat_Func::chatDirectedToRoom

If true, only sends the chat message if the user is in the same room. If false, privateMessageRecipient must also be filled out

The documentation for this struct was generated from the following file:

- d:/RakNet-3.x/DependentExtensions/Lobby2/Rooms/RoomsPlugin.h